<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
<xsl:template match='/MissionProfile'>
<html>

<body>
<p class="BRFbodycopy"><strong>Best Results From All Flights</strong></p>
  <table border='3' bordercolor="#00ccff" cellpadding="5">
    <tr>
				<th>Parameter</th>
				<th>Value</th>
      	
    </tr>
   <xsl:for-each select="Profile">  
    
   <xsl:if test="@name='Best_Time'">
      		<tr>   
                   <td><b><left><xsl:text>MISSION TIME (min)</xsl:text></left></b></td>
                   <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>                   
          </tr>		 
				</xsl:if>	  
						      		
	 			<xsl:if test="@name='Best_Rec1'">
	         <tr>
	                   <td><b><left><xsl:text>COAST-TO-COAST (min)</xsl:text></left></b></td>
	                   <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
	             
	    	 	</tr>   
	      </xsl:if>

			<xsl:if test="@name='Best_Mach'">
		     		<tr>
		           				<td><b><left><xsl:text>MAX MACH NUMBER</xsl:text></left></b></td>
		           				<td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td> 
		            
		        </tr>
		      </xsl:if>                 

		 <xsl:if test="@name='Best_GS'">
		         <tr>
		                   <td><b><left><xsl:text>MAX GND SPEED (knots)</xsl:text></left></b></td>
		                   <td><b><center><xsl:value-of select='format-number(@value,"0")'/></center></b></td>
		              
		    	 		</tr>   
		      </xsl:if>   
			
    </xsl:for-each>
  </table>
</body> 
<body>
<p class="BRFbodycopy"><strong>Results From Last Flight</strong></p>
  <table border='3' bordercolor="#00ccff" cellpadding="5">
    <tr>
				<th>Parameter</th>
				<th>Value</th>
      	<th>Rating</th>
      	
    </tr>
   <xsl:for-each select="Profile">  
    
   <xsl:if test="@name='TMISS'">
      		<tr>   
                   <td><b><left><xsl:text>MISSION TIME (min)</xsl:text></left></b></td>
                                      
             <xsl:choose>
                 <xsl:when test="@value &gt; 8870">          
                    <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
                    <td bgcolor="#ff0000">  
                    <b><center><xsl:text>Poor</xsl:text></center></b></td>
                 </xsl:when> 
                 
                 <xsl:when test="@value &lt; 8871 and @value &gt; 8780">          
                    <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
                    <TD bgcolor="#ff00ff">  
                    <b><center><xsl:text>Fair</xsl:text></center></b></TD> 
                 </xsl:when>   

                 <xsl:when test="@value &lt; 8781 and @value &gt; 8690">
                    <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>                 
                    <TD bgcolor="#ffcc00">
                    <b><center><xsl:text>Good</xsl:text></center></b></TD> 
                 </xsl:when>   

                 <xsl:otherwise>
                    <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
                    <TD bgcolor="#00ff00">
                    <b><center><xsl:text>Excellent</xsl:text></center></b></TD> 
                 </xsl:otherwise>
           		</xsl:choose>
           		<xsl:if test="@name='Best_Time'">
           				<td><b><center><xsl:value-of select='format-number(@value div 1,"0.00")'/></center></b></td>
           				</xsl:if>
           </tr>		 
				</xsl:if>	  
						      		
	 			<xsl:if test="@name='sumX'">
	         <tr>
	                   <td><b><left><xsl:text>AVG DEVIATION (nm)</xsl:text></left></b></td>
	             <xsl:choose>
	                 <xsl:when test="@value &gt; 6485">          
	                    <td><b><center><xsl:value-of select='format-number(@value div 12971,"0.00")'/></center></b></td>
	                    <TD bgcolor="#ff0000">  
	                    <b><center><xsl:text>Poor</xsl:text></center></b></TD> 
	                 </xsl:when> 
	                 
	                 <xsl:when test="@value &lt; 6486 and @value &gt; 3244">          
	                    <td><b><center><xsl:value-of select='format-number(@value div 12971,"0.00")'/></center></b></td>
	                    <TD bgcolor="#ff00ff">  
	                    <b><center><xsl:text>Fair</xsl:text></center></b></TD> 
	                 </xsl:when>   
	
	                 <xsl:when test="@value &lt; 3245 and @value &gt; 1297">
	                    <td><b><center><xsl:value-of select='format-number(@value div 12971,"0.00")'/></center></b></td>                 
	                    <TD bgcolor="#ffcc00">
	                    <b><center><xsl:text>Good</xsl:text></center></b></TD> 
	                 </xsl:when>   
	
	                 <xsl:otherwise>
	                    <td><b><center><xsl:value-of select='format-number(@value div 12971,"0.00")'/></center></b></td>
	                    <TD bgcolor="#00ff00">
	                    <b><center><xsl:text>Excellent</xsl:text></center></b></TD> 
	                 </xsl:otherwise>
	           	</xsl:choose>
	           	<xsl:if test="@name='Best_Dev'">
           				<td><b><center><xsl:value-of select='format-number(@value div 1,"0.00")'/></center></b></td>
           				</xsl:if>  
	    	 </tr>   
	      </xsl:if>

			<xsl:if test="@name='Machavg'">
		     		<tr>
		           				<td><b><left><xsl:text>AVG MACH NUMBER</xsl:text></left></b></td> 
		            <xsl:choose> 
		               <xsl:when test="@value &lt; 3.20">
		                  <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                  <TD bgcolor="#ff0000">
		                  <b><center><xsl:text>Poor</xsl:text></center></b></TD>    
		                  </xsl:when>
		
		              <xsl:when test="@value &lt; 3.24 and @value &gt; 3.19">
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ff00ff">
		                 <b><center><xsl:text>Fair</xsl:text></center></b></TD>    
		              </xsl:when>
		
		              <xsl:when test="@value &lt; 3.28 and @value &gt; 3.23">
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ffcc00">
		                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
		              </xsl:when>
		
		              <xsl:otherwise>
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#00ff00">
		                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD>   
		              </xsl:otherwise>
		          	</xsl:choose>
		          	<xsl:if test="@name='Best_Mach'">
           				<td><b><center><xsl:value-of select='format-number(@value div 1,"0.00")'/></center></b></td>
           				</xsl:if>
		        </tr>
		      </xsl:if>                 

		 <xsl:if test="@name='Record1'">
		         <tr>
		                   <td><b><left><xsl:text>AVG GND SPEED (knots)</xsl:text></left></b></td>
		             <xsl:choose>
		                 <xsl:when test="@value &gt; 4075">          
		                    <td><b><center><xsl:value-of select='format-number(2089.1 div @value * 3600,"0")'/></center></b></td>
		                    <TD bgcolor="#ff0000">  
		                    <b><center><xsl:text>Poor</xsl:text></center></b></TD> 
		                 </xsl:when> 
		                 
		                 <xsl:when test="@value &lt; 4076 and @value &gt; 4043">          
		                    <td><b><center><xsl:value-of select='format-number(2089.1 div @value * 3600,"0")'/></center></b></td>
		                    <TD bgcolor="#ff00ff">  
		                    <b><center><xsl:text>Fair</xsl:text></center></b></TD> 
		                 </xsl:when>   
		
		                 <xsl:when test="@value &lt; 4044 and @value &gt; 4009">
		                    <td><b><center><xsl:value-of select='format-number(2089.1 div @value * 3600,"0")'/></center></b></td>                 
		                    <TD bgcolor="#ffcc00">
		                    <b><center><xsl:text>Good</xsl:text></center></b></TD> 
		                 </xsl:when>   
		
		                 <xsl:otherwise>
		                    <td><b><center><xsl:value-of select='format-number(2089.1 div @value * 3600,"0")'/></center></b></td>
		                    <TD bgcolor="#00ff00">
		                    <b><center><xsl:text>Excellent</xsl:text></center></b></TD> 
		                 </xsl:otherwise>
		           		</xsl:choose>
		           		<xsl:if test="@name='Best_GS'">
           				<td><b><center><xsl:value-of select='format-number(@value div 1,"0")'/></center></b></td>
           				</xsl:if>  
		    	 		</tr>   
		      </xsl:if>   
			
    </xsl:for-each>
  </table>
</body> 
<body>
<p class="BRFbodycopy"><strong>Maximum Course Speeds From Last Flight</strong></p> 
  <table border='3' bordercolor="#00ccff" cellpadding="5">
    <tr>
				<th>Parameter</th>
      	<th>Value</th>
      	<th>Rating</th>
    </tr>
    <xsl:for-each select="Profile">  
     
     <xsl:if test="@name='MaxM'">
		     		<tr>
		           				<td><b><left><xsl:text>MAX MACH NUMBER</xsl:text></left></b></td> 
		            <xsl:choose> 
		               <xsl:when test="@value &lt; 3.21">
		                  <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                  <TD bgcolor="#ff0000">
		                  <b><center><xsl:text>Poor</xsl:text></center></b></TD>    
		                  </xsl:when>
		
		              <xsl:when test="@value &lt; 3.26 and @value &gt; 3.20">
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ff00ff">
		                 <b><center><xsl:text>Fair</xsl:text></center></b></TD>    
		              </xsl:when>
		
		              <xsl:when test="@value &lt; 3.30 and @value &gt; 3.25">
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ffcc00">
		                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
		              </xsl:when>
		
		              <xsl:when test="@value &lt; 3.33 and @value &gt; 3.29">
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#00ff00">
		                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD> 
		              </xsl:when>
		              
		              <xsl:otherwise>
		                 <td><b><center><xsl:value-of select='format-number(@value,"0.00")'/></center></b></td>
		                 <TD bgcolor="#9966ff">
		                 <b><center><xsl:text>Superb!</xsl:text></center></b></TD>   
		              </xsl:otherwise>
		
		          	</xsl:choose>
		        </tr>
		      </xsl:if>                 

		 <xsl:if test="@name='GSMax'">
		         <tr>
		                   <td><b><left><xsl:text>MAX GND SPEED (knots)</xsl:text></left></b></td>
		             <xsl:choose>
		                 <xsl:when test="@value &lt; 1850">          
		                    <td><b><center><xsl:value-of select='format-number(@value,"0000.0")'/></center></b></td>
		                    <TD bgcolor="#ff0000">  
		                    <b><center><xsl:text>Poor</xsl:text></center></b></TD> 
		                 </xsl:when> 
		                 
		                 <xsl:when test="@value &lt; 1865 and @value &gt; 1849">          
		                    <td><b><center><xsl:value-of select='format-number(@value,"0000.0")'/></center></b></td>
		                    <TD bgcolor="#ff00ff">  
		                    <b><center><xsl:text>Fair</xsl:text></center></b></TD> 
		                 </xsl:when>   
		
		                 <xsl:when test="@value &lt; 1900 and @value &gt; 1864">
		                    <td><b><center><xsl:value-of select='format-number(@value,"0000.0")'/></center></b></td>                 
		                    <TD bgcolor="#ffcc00">
		                    <b><center><xsl:text>Good</xsl:text></center></b></TD> 
		                 </xsl:when>   
		
											<xsl:when test="@value &lt; 1920 and @value &gt; 1899">
		                    <td><b><center><xsl:value-of select='format-number(@value,"0000.0")'/></center></b></td>                 
		                    <TD bgcolor="#00ff00">
		                    <b><center><xsl:text>Excellent</xsl:text></center></b></TD> 
		                 </xsl:when>	
		
		                 <xsl:otherwise>
		                    <td><b><center><xsl:value-of select='format-number(@value,"0000.0")'/></center></b></td>
		                    <TD bgcolor="#9966ff">
		                    <b><center><xsl:text>Superb!</xsl:text></center></b></TD> 
		                 </xsl:otherwise>
		           		</xsl:choose>  
		    	 		</tr>   
		      </xsl:if>   
		      			
    </xsl:for-each>
  </table>
  
</body>

<body>
<p class="BRFbodycopy"><strong>Records From Last Flight</strong></p> 
  <table border='3' bordercolor="#00ccff" cellpadding="5">
    <tr>
				<th>Parameter</th>
      	<th>972 Record (min)</th>
      	<th>Your Time (min)</th>
      	<th>Rating</th>
    </tr>
    <xsl:for-each select="Profile">  
     
     <xsl:if test="@name='Record1'">
		     		<tr>
		           	<td><b><left><xsl:text>Coast-to-Coast</xsl:text></left></b></td>
		           	<td><b><center><xsl:text>67.90</xsl:text></center></b></td> 
		            <xsl:choose> 
		               <xsl:when test="@value &gt; 4075">
		                  <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
		                  <TD bgcolor="#ff0000">
		                  <b><center><xsl:text>Poor</xsl:text></center></b></TD>    
		                  </xsl:when>
		
		              <xsl:when test="@value &lt; 4076 and @value &gt; 4043">
		                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ff00ff">
		                 <b><center><xsl:text>Fair</xsl:text></center></b></TD>    
		              </xsl:when>
		
		              <xsl:when test="@value &lt; 4044 and @value &gt; 4009">
		                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
		                 <TD bgcolor="#ffcc00">
		                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
		              </xsl:when>
		
		              <xsl:otherwise>
		                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
		                 <TD bgcolor="#00ff00">
		                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD>   
		              </xsl:otherwise>
		
		          	</xsl:choose>
		        </tr>
		      </xsl:if>                 

					<xsl:if test="@name='Record2'">
							     		<tr>
							           	<td><b><left><xsl:text>Los Angeles to Washington DC</xsl:text></left></b></td>
							           	<td><b><center><xsl:text>64.33</xsl:text></center></b></td>  
							            <xsl:choose> 
							               <xsl:when test="@value &gt; 3890">
							                  <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
							                  <TD bgcolor="#ff0000">
							                  <b><center><xsl:text>Poor</xsl:text></center></b></TD>    
							                  </xsl:when>
							
							              <xsl:when test="@value &lt; 3891 and @value &gt; 3859.80">
							                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
							                 <TD bgcolor="#ff00ff">
							                 <b><center><xsl:text>Fair</xsl:text></center></b></TD>    
							              </xsl:when>
							
							              <xsl:when test="@value &lt; 3859.81 and @value &gt; 3830">
							                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
							                 <TD bgcolor="#ffcc00">
							                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
							              </xsl:when>
							
							              <xsl:otherwise>
							                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
							                 <TD bgcolor="#00ff00">
							                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD>   
							              </xsl:otherwise>
							
							          	</xsl:choose>
			        </tr>
			      </xsl:if>                 
			 
					 <xsl:if test="@name='Record3'">
									     		<tr>
									           	<td><b><left><xsl:text>St Louis to Cincinnati</xsl:text></left></b></td>
									           	<td><b><center><xsl:text>8.53</xsl:text></center></b></td>  
									            <xsl:choose> 
									               <xsl:when test="@value &gt; 528">
									                  <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
									                  <TD bgcolor="#ff0000">
									                  <b><center><xsl:text>Poor</xsl:text></center></b></TD>    
									                  </xsl:when>
									
									              <xsl:when test="@value &lt; 528.01 and @value &gt; 511.98">
									                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
									                 <TD bgcolor="#ff00ff">
									                 <b><center><xsl:text>Fair</xsl:text></center></b></TD>    
									              </xsl:when>
									
									              <xsl:when test="@value &lt; 511.99 and @value &gt; 511">
									                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
									                 <TD bgcolor="#ffcc00">
									                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
									              </xsl:when>
									
									              <xsl:otherwise>
									                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
									                 <TD bgcolor="#00ff00">
									                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD>   
									              </xsl:otherwise>
									
									          	</xsl:choose>
					        </tr>
					      </xsl:if> 

								<xsl:if test="@name='Record4'">
										     		<tr>
										           	<td><b><left><xsl:text>Kansas City to Washington DC</xsl:text></left></b></td>
										           	<td><b><center><xsl:text>25.98</xsl:text></center></b></td>  
										            <xsl:choose> 
										               <xsl:when test="@value &gt; 1594">
										                  <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
										                  <TD bgcolor="#ff0000">
										                   <b><center><xsl:text>Poor</xsl:text></center></b></TD> 								                     
										                  </xsl:when>
										
										              <xsl:when test="@value &lt; 1594.01 and @value &gt; 1558.53">
										                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
										                 <TD bgcolor="#ff00ff">
										                 <b><center><xsl:text>Fair</xsl:text></center></b></TD> 
										              </xsl:when>
										
										              <xsl:when test="@value &lt; 1558.94 and @value &gt; 1549">
										                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
										                 <TD bgcolor="#ffcc00">
										                 <b><center><xsl:text>Good</xsl:text></center></b></TD> 
										              </xsl:when>
										
										              <xsl:otherwise>
										                 <td><b><center><xsl:value-of select='format-number(@value div 60,"0.00")'/></center></b></td>
										                 <TD bgcolor="#00ff00">
										                 <b><center><xsl:text>Excellent</xsl:text></center></b></TD>
										              </xsl:otherwise>
										
							        </xsl:choose>
			        </tr>
			      </xsl:if> 
				      			
    </xsl:for-each>
  </table>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
